Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Custom Provider

Server
Download schema

Submit costs batch

POST
https://api.costfluent.com
/v1/custom-providers/{providerId}/costs
Bearer (API token)

Submits a batch of cost records to a custom provider. Supports idempotency via Idempotency-Key header.

Submit costs batch › path Parameters

​CostfluentSharedKernelPublicIdsProviderPublicId · required

Submit costs batch › Request Body

CostfluentPublicApiModelsV1RequestsSubmitCostsRequest
​CostfluentPublicApiModelsV1RequestsCostEntry[] · minLength: 1 · required

Submit costs batch › Responses

Success

CostfluentPublicApiModelsV1ResponsesSubmitCostsResponse
uploadId
​string · required
totalRows
​integer · int32 · required
acceptedRows
​integer · int32 · required
rejectedRows
​integer · int32 · required
​array | null
POST/v1/custom-providers/{providerId}/costs
curl https://api.costfluent.com/v1/custom-providers/:providerId/costs \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "costs": [ { "chargePeriodStart": "chargePeriodStart", "chargeCategory": "chargeCategory", "serviceName": "serviceName", "billedCost": 0, "lineItemId": "lineItemId", "chargePeriodEnd": "chargePeriodEnd", "billingCurrency": "billingCurrency", "serviceCategory": "serviceCategory", "resourceId": "resourceId", "resourceType": "resourceType", "regionId": "regionId", "consumedQuantity": 0, "consumedUnit": "consumedUnit", "tags": { "key": "string" }, "subAccountId": "subAccountId", "subAccountName": "subAccountName", "skuId": "skuId", "effectiveCost": 0, "chargeDescription": "chargeDescription", "commitmentDiscountId": "commitmentDiscountId", "commitmentDiscountType": "commitmentDiscountType" } ] }'
Example Request Body
{ "costs": [ { "chargePeriodStart": "chargePeriodStart", "chargeCategory": "chargeCategory", "serviceName": "serviceName", "billedCost": 0, "lineItemId": "lineItemId", "chargePeriodEnd": "chargePeriodEnd", "billingCurrency": "billingCurrency", "serviceCategory": "serviceCategory", "resourceId": "resourceId", "resourceType": "resourceType", "regionId": "regionId", "consumedQuantity": 0, "consumedUnit": "consumedUnit", "tags": { "key": "string" }, "subAccountId": "subAccountId", "subAccountName": "subAccountName", "skuId": "skuId", "effectiveCost": 0, "chargeDescription": "chargeDescription", "commitmentDiscountId": "commitmentDiscountId", "commitmentDiscountType": "commitmentDiscountType" } ] }
json
Example Responses
{ "uploadId": "uploadId", "totalRows": 0, "acceptedRows": 0, "rejectedRows": 0, "errors": [ { "rowIndex": 0, "field": "field", "message": "message" } ] }
json
application/json

DashboardsCustom-Providers